#!/bin/bash

set -e
# set -xv

if [ ! -z "$1" ]; then
	MODE=$1
else
	select_string=`file /usr/lib/libVIVANTE*  | awk -F":" '!/symbolic/ { split($1,a,"-"); split(a[2],a,"."); print a[1]}' ORS=" "`" <<"
	current_sellection=`file /usr/lib/libVIVANTE* | awk -F"\\\`" '/symbolic/ { split($2,a,"-"); split(a[2],a,"."); print a[1]}'`
	if [ -z "${current_sellection}" ]
	then
		inode=`ls -i /usr/lib/libVIVANTE.so | cut -d" " -f1`
		current_sellection=`ls -i /usr/lib/libVIVANTE* | awk -v inode=$inode '($0~inode)&&($0!~"libVIVANTE.so")&&($0=$NF)&&(gsub(/^.*-|\.so/,""))'`
	fi
PS3="Current mode [ $current_sellection ] your choice > "

select i in $select_string
do
case $i in
	"<<")
	exit
	break
	;;
	*)
	MODE=$i
	if [ -z ${MODE} ]
	then
	echo "Invalid case ..."
	else
	break
	fi
	;;
	esac
done
fi

if [ ! -z "${SLINK}" ]
then
LO="s"
else
LO=""
fi

cd /usr/lib

ln -f${LO} libEGL-${MODE}.so libEGL.so
ln -f${LO} libEGL-${MODE}.so libEGL.so.1
ln -f${LO} libGAL-${MODE}.so libGAL.so
ln -f${LO} libVIVANTE-${MODE}.so libVIVANTE.so

cd - &>/dev/null
